O'Reilly logo

Learning Dart - Second Edition by Ivo Balbaert

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Getting started with Dart

The Dart project team wants us to get an optimal development experience, so they provide a full but lightweight IDE: the Dart Editor, a light version of the well-known Eclipse environment. Installing this is the easiest way to get started, because it comprises the full Dart environment. Another awesome editor is WebStorm from JetBrains (see https://www.dartlang.org/tools/webstorm/).

Installing the Dart Editor

Because Eclipse is written in Java, we need a Java Runtime Environment (JRE), version 6 or higher, on our system (this is not needed for Dart itself, only for the Dart Editor). To check whether this is already the case, go to http://www.java.com/en/download/installed.jsp.

If it is not the case, head to http://www.oracle.com/technetwork/java/javase/downloads/index.html ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required